#
# spec file for package talk
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           talk
%define _fwdefdir /etc/sysconfig/SuSEfirewall2.d/services
Version:        0.17
Release:        721.5
Summary:        Talk Client for Chatting with Another User
License:        BSD-3-Clause
Group:          Productivity/Networking/Talk/Clients
Url:            ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/
Source:         netkit-ntalk-%{version}.tar.bz2
Source1:        talk.xinetd
Source2:        ntalk.xinetd
Source3:        talkd.fw
Patch:          netkit-ntalk-%{version}.dif
Patch1:         netkit-ntalk-multibyte.diff
Patch2:         netkit-ntalk-%{version}-alt-talkd.patch
Patch3:         netkit-ntalk-%{version}-strip.diff
Patch4:         netkit-ntalk-%{version}-dont-resolve.patch
Patch5:         netkit-n%{name}-0.17-dots_in_usernames.patch
# PATCH-FIX-UPSTREAM netkit-ntalk-0.17-close_file_on_failure.patch
Patch6:         netkit-ntalk-0.17-close_file_on_failure.patch
%global         ncursesw_config %(set -- %{_bindir}/ncursesw*-config; echo ${1})
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ncurses-devel
Provides:       nkitb:/usr/bin/talk

%description
This package contains the talk client, which allows you to chat with
another user on a different system. Talk is a communication program
which copies lines from one terminal to that of another user.



%package server
Version:        0.17
Release:        721.5
Summary:        Talk Daemon to Chat with Another User
Group:          Productivity/Networking/Talk/Servers
Requires:       net-tools
Requires:       netcfg
Provides:       nkitserv:/usr/sbin/in.talkd

%description server
This package contains the talk daemon, which allows you to chat with
another user on a different system. Talk is a communication program
which copies lines from one terminal to the terminal of another user.



%prep
%setup -n netkit-ntalk-%{version}
%patch
%patch1 -p1 -b .mb
%patch2 -p1
%patch3
%patch4
%patch5
%patch6

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
cat <<-EOF >> MCONFIG
	LIBCURSES=$(%{ncursesw_config} --libs)
	CFLAGS += -D_GNU_SOURCE -fPIE  $(%{ncursesw_config} --cflags)
	LDFLAGS += -pie
EOF
make

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -d -m 755 $RPM_BUILD_ROOT/usr/{bin,sbin}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man{1,8}
make install INSTALLROOT=$RPM_BUILD_ROOT
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/xinetd.d/talk 
install -m 644 %{S:2} $RPM_BUILD_ROOT/etc/xinetd.d/ntalk
#install firewall definitions format is described here:
#/usr/share/SuSEfirewall2/services/TEMPLATE
mkdir -p $RPM_BUILD_ROOT/%{_fwdefdir}
install -m 755 %{S:3} $RPM_BUILD_ROOT/%{_fwdefdir}/talkd

%files
%defattr(-,root,root)
%doc BUGS ChangeLog
/usr/bin/talk
%doc %{_mandir}/man1/*

%files server
%defattr(-,root,root)
%doc BUGS ChangeLog
%doc %{_mandir}/man8/*
/usr/sbin/in.ntalkd
/usr/sbin/in.talkd
%config(noreplace) /etc/xinetd.d/talk
%config(noreplace) /etc/xinetd.d/ntalk
%{_fwdefdir}/talkd

%changelog
* Sun Mar 15 2015 jengelh@inai.de
- Remove obsolete specfile tags and cleaning
* Fri Oct 16 2009 rschweikert@novell.com
- fixed file descriptor leak on failure (bnc#544908)
  netkit-ntalk-0.17-close_file_on_failure.patch
* Wed Aug  6 2008 anosek@suse.cz
- fixed Talk can't handle dots in user names (bnc#338368)
  (dots_in_usernames.patch)
* Thu Apr 10 2008 werner@suse.de
- Use correct header for libncursesw
* Thu Mar 29 2007 dmueller@suse.de
- add ncurses-devel BuildRequires
* Thu Mar  8 2007 anosek@suse.cz
- added port definitions for SuSEfirewall2 [#247352] (talkd.fw)
* Wed Jan 10 2007 anosek@suse.cz
- fixed: talkd does not allow connection from hosts without DNS
  record [#227396] (dont-resolve.patch)
* Tue Sep 19 2006 anosek@suse.cz
- talk server runs as nobody.tty (originally was root.root)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 schwab@suse.de
- Don't strip binaries.
* Mon Jun 20 2005 ro@suse.de
- build with fPIE/pie
* Mon Sep 20 2004 postadal@suse.cz
- fixed DoS [#44756] (alt-talkd.patch)
* Thu Feb 26 2004 hmacht@suse.de
- building as non-root
* Tue Mar  4 2003 kraxel@suse.de
- yet another multibyte patch fix (line erase not working correctly).
* Mon Feb 24 2003 vbobek@suse.cz
- created config file for xinetd
* Tue Jan 14 2003 kraxel@suse.de
- more multibyte patch fixes.
* Tue Dec 17 2002 kraxel@suse.de
- various minor fixes in the multibyte patch.
* Wed Dec 11 2002 kraxel@suse.de
- added locale and multibyte support.
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Fri Mar 16 2001 cihlar@suse.cz
- added Url
- claen up spec file
* Fri Mar  2 2001 kukuk@suse.de
- Initial package, split from nkitb
